#include <stdio.h>
#include <string.h>


struct prestito {
       int codice;
       char titolo[40];
       char giorno[11];
};

void inserimento (struct prestito *V, int *pn)
{
    struct prestito p;
    
    if(*pn<50)
    {
     printf("Codice cliente: ");
     scanf("%d",&p.codice);
     printf("Titolo del film: ");
     scanf("%s",p.titolo);
     printf("Giorno  (gg/mm/aaaa):");
     scanf("%s",p.giorno);
     
     V[*pn]=p;
     (*pn)++;
    }
    else printf("Vettore pieno\n");
        
 }
 
void visualizzazione(struct prestito *V, int n)
{
     int i;
     
     for(i=0;i<n;i++)
       {printf("Codice cliente %d\n",V[i].codice);
        printf("Titolo film: %s\n",V[i].titolo);
        printf("Giorno prestito %s\n",V[i].giorno);
        }

}       

void ordinamento(struct prestito *V, int n)
{
   int sup,i;
   struct prestito temp;
   
   for(sup=n-1;sup>0;sup--)
     for(i=0;i<sup;i++)
       if(V[i].codice>V[i+1].codice)
          {temp=V[i];
           V[i]=V[i+1];
           V[i+1]=temp;
          }  
 }
 
 
void salvataggio(struct prestito *V, int n)
{
  FILE *pf;
  int i;
  char giorno[11];
  char nomefile[30];
  
  printf("Giorno: (gg/mm/aaaa)");
  scanf("%s",giorno);
  printf("Nome file:");
  scanf("%s",nomefile);
  
  
  pf=fopen(nomefile,"wb");
  if(pf)
    {  for(i=0;i<n;i++)
         if(strcmp(V[i].giorno,giorno)==0)
           fwrite(&V[i],sizeof(struct prestito),1,pf);
       fclose(pf);
    }
  else printf("ERRORE IN SCRITTURA\n");
}

    
         
void inizializzazione( struct prestito *V, int *pn)
{
   FILE *pf;
   struct prestito p;
   int i;
   char nomefile[30];
   
   printf("Nome file: ");
   scanf("%s",nomefile);
   i=0;
   
   pf=fopen(nomefile,"rb");
   if(pf)
     {
        while(i<50 && fread(&p,sizeof(struct prestito),1,pf)> 0)
          { V[i]=p;
            i++;
          }
        fclose(pf);
     }
    else printf("ERRORE IN LETTURA\n");
 (*pn)=i;
 }

main() {

 struct prestito P[50];
 int n,scelta;

  n=0;
 inizializzazione(P,&n); 

 do {
   printf("\nScegli tra\n");
   printf("1) Inserimento\n2) Visualizzazione\n");
   printf("3) Ordinamento\n4) Salvataggio\n");
   printf("0) Fine esecuzione\n");
   scanf("%d",&scelta);
   switch(scelta) {
      case 1: inserimento(P,&n);
              break;
      case 2: visualizzazione(P,n);
              break;
      case 3: ordinamento(P,n);
              break;
      case 4: salvataggio(P,n);
              break;
      default:; 
   }
  } while(scelta!=0);
   
}            
   
   
   
